/*---------------------------------------------------------------
/* UVSplit  (c)1993 Ron Dippold All Rights Reserved
/* Version 1.2
/*
/* Make sure to check every item lest ye be bitten.
/*-------------------------------------------------------------*/

/* The name of the configuration file.  If some some bizarre reason
/* you want to call it anything but uvsplit.cnf.
*/
#define CONFIGFILE "uvsplit.cnf"


/* Define here the text that marks the start and end of a message in your
/* mail file or copied mail file.  This will be match only if it is at the
/* start of a line.  For most implementations, it is "From " for the start
/* of a message and nothing for the end of a message (the next "From ")
/* both ends and starts it.   MMDF format uses four ctrl-a's to start
/* _and_ a separate four ctrl-a's to end.  To specify control characters,
/* use the octal (base 8) method, so four ctrl-a's is "\001\001\001\001".
/* If your format doesn't need the end of message, make it all blanks ( "" ),
/* don't comment it out.  The MAILSTART is required.
*/
#define MAILSTART "From "
#define MAILEND   ""


/* Do you want to send mail to those with mail that you can't route?  I
/* suggest you do so, so the voter knows that _something_ was done with
/* their vote.
*/
#define DOVOTEACK

/* (Ignore this item if you commented out #define DOVOTEACK)
/* Place here any commands which you want placed at the start of the
/* "domail" file.  Usually this will be something like "#!/bin/sh\n"
/* to make sure it is run by the "sh" shell.  End every line with a "\n"!
*/
#define VOTEACKPREFIX ""

/* (Ignore this item if you commented out #define DOVOTEACK)
/* Place here any commands which you want placed at the end of the "domail"
/* file.  End every line with a "\n"!
*/
#define VOTEACKSUFFIX ""


/* (Ignore this item if you commented out #define DOVOTEACK)
/* This is the command that will be used to mail each vote ack.  This should
/* work for most Unix systems, but who knows what wierd thing you use?
/*   #s is where the "Subject:" the reader sees goes
/*   #S is #s, but quotes are used around the subject.  PREFERRED.
/*   #v will be replaced with the voter address.        PREFERRED.
/*   #V is #v, but quotes are used around the address.
/*   #f is the name of the file containing the vote ack
/* You can have multiple commands per mailing by separating each command
/* with a "\n".
/*   The "\n sleep 20" has been added because some systems can't handle the
/* rapid pounding of the mail system by UseVote sending out mail.  This makes
/* UseVote pause 20 seconds after sending an ack.  You may increase or decrease this
/* value at will.
/*   The "\rm #f" removes the ack text file after the mail is sent.  "rm"
/* is the Unix shell command for delete, you may have to change it to "erase"
/* or "del" or whatever your system wants.
*/
#define MAILCMD "mail -s #S #v < #f \n sleep 20\n rm #f"


/* (Ignore this item if you commented out #define DOVOTEACK)
/* This #define indicates which characters need to be literal
/* quoted with a backslash (\) for in a person's address for the sake of
/* some systems. If you don't want any backslashing used, delete everything
/* between the quotes.
*/
#define ADDBADCHAR "!#$%^&*()+{}|'\";:/?[]~`"


/* (Ignore this item if you commented out #define DOVOTEACK)
/* Define a subject to be used for mailing messages to voters - this
/* will be the "Subject:" line they get in their mailbox.
*/
#define VOTEACKSUB "UVSplit: Mail returned"


/* (Ignore this item if you commented out #define DOVOTEACK)
/* name of file that will hold the commands to do all the mailing
*/
#define CMDFILE "domail"


/* This define gives the maximum number votes you will be running
/* at one time.  Most people only need 2 or 3, if you're insane enough
/* to be doing more than 10 then crank this up.
*/
#define VOTESMAX 30


/* this is the number of keys allowed per group - all the keys must appear
/* on the same line for something to be judged to go to that group, so more
/* than three is usually counterproductive.
*/
#define KEYS 5


/* -----------------------------------------------------------------------
/* This is the system configuration area, to set things up for your
/* own system.
/* -----------------------------------------------------------------------
*/

/* Page length for interactive mode - 24 is good for most terminals */
#define PAGELEN 24

/* Page width for interactive terminals - 80 is good for most */
#define PAGEWIDE 80

/* Screen clearing code for interactive vote - if you don't know it,
/* "\n\n\n" will print 3 blank lines.  "\f" or "\014" often works.
/* "\033[2J" is the VT100 code.
*/
#define CLRSCRN "\033[2J"


/* This is the type used for file positioning for fseek, ftell, etc.
/* It can usually be found in sys/types.h as off_t.  If so, the default
/* here should work.  If not, define it yourself, as in the commented out
/* example.  It's usually a long.
*/
#include <sys/types.h>
typedef off_t postype;
/* typedef long postype; */

/* The parameters to use for fopen() calls for read, write, append.  Some
/* systems don't like the "t" for text mode.  If that is the case, delete
/* those and try again.
*/
#define UV_OPEN_READ "rt"
#define UV_OPEN_WRITE "wt"
#define UV_OPEN_APPEND "at"


/*-----------------------------------------------------------------------*/
/* Okay, anything below here is for my benefit.  Do not touch under
/* penalty of death or bungled vote.
*/

#ifndef SEEK_SET
#define SEEK_SET ( (off_t) 0 )
#endif

typedef unsigned short int byte;
typedef unsigned int word;
typedef unsigned long dword;
#define FALSE 0
#define TRUE 1
